## parted 1.7.1-5.1

=== debian/changelog ===
parted (1.7.1-5.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Patch to ensure changes to RAID/LVM flags on mac partitions are
    saved and reloaded correctly, so that debian-installer can use RAID for
    install on mac powerpcs; thanks to David Härdeman for the patch.
    Closes: #413184.

 -- Steve Langasek <vorlon@debian.org>  Tue,  6 Mar 2007 00:51:09 -0800

parted (1.7.1-5) unstable; urgency=low

  * ntfs-align.dpatch: Disabled. We found regressions on it.

 -- Otavio Salvador <otavio@debian.org>  Mon, 22 Jan 2007 08:44:06 -0200

parted (1.7.1-4) unstable; urgency=low

  * ntfs-align.dpatch: Fix align issue with new NTFS release (used by
    Windows Vista). Thanks to David Cantrell <dcantrell@redhat.com> by
    working on the patch for it. Closes: #380226

 -- Otavio Salvador <otavio@debian.org>  Fri, 19 Jan 2007 17:21:26 -0200

parted (1.7.1-3) unstable; urgency=low

  * parted-print-name.dpatch : Fix bug in parted print, when there are no
    extended partitions, but partition names.
  * disabled parted part of kfreebsd-gnu.dpatch, since the patch caused
    parted to have trouble in a d-i environment to print the partition table,
    thus causing tools relying on parted -s print to find information about
    the partition table to break, like the one checking for RAID partitions
    in d-i. (Closes: #392767)

 -- Sven Luther <luther@debian.org>  Tue,  7 Nov 2006 17:45:28 +0100

parted (1.7.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * gpt.dpatch: Put the alternative GPT partition table one sector further
    out, to avoid having it overlap with the last sector of one partition.
    (Closes: #349718)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed,  5 Jul 2006 21:13:07 +0200

parted (1.7.1-2) unstable; urgency=low

  [ Bastian Blank ]
  * Fix s390 patch to not intend to use ibm disklabels on FBA. (Closes: #369580)

  [ Otavio Salvador ]
  * Ack NMU. (Closes: #369491)
  * Add Bastian Blank <waldi@debian.org> as uploader.
  * Add libparted changelog in libparted1.7-1 and libparted1.7-dev
    packages. (Closes: #369780)
  * Apply patch from David Härdeman <david@2gen.com> to improve lvm
    support to include all kind of device-mapper devices. (Closes: #367965)
  * Fix s390 patch to apply again after lvm support improvement.

 -- Otavio Salvador <otavio@debian.org>  Fri,  2 Jun 2006 11:17:12 -0300

parted (1.7.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix abi check. 

 -- Bastian Blank <waldi@debian.org>  Tue, 30 May 2006 17:00:54 +0200

parted (1.7.1-1) unstable; urgency=low

  * New upstream release.
    - change soname version due a ABI change;
    - update minor dependency requirement due ABI change;
  * Update the baseline symbols to allow us to detect ABI changes.
  * Enable ABI checking in build process (just in i386).
  * Add cvs as build-dependency. (Closes: #368363).

 -- Otavio Salvador <otavio@debian.org>  Mon, 29 May 2006 10:16:06 -0300

parted (1.7.0-1) unstable; urgency=low

  [ This version has some changes regarting to API and ABI so you'll
    probably need to check your code if you link anything against it. ]
  
  * New upstream release.
    - doc-package.dpatch: rediff since some parts was applied upstream
      by me;
    - reiserfs-libname.dpatch: rediff 'cause of files reorganization;
    - devfs.dpatch: likewise;
    - lvm2.dpatch: likewise;
    - s390.dpatch: likewise;
    - sparc-fix-raid: likewise;
    - fix_rescue_segfault.dpatch: dropped since it was backport from 
      upstream;
    - remove FAQ from parted-doc since upstream do not suply it 
      anymore.
  * Use ABI brokeness detection code;

 -- Otavio Salvador <otavio@debian.org>  Sat, 20 May 2006 00:32:36 -0300

parted (1.6.25.1-3) unstable; urgency=low

  * Apply patch to include kFreeBSD support. Thanks to Robert Millan
    <rmh@aybabtu.com> (Closes: #363381)
  * Apply patch to use debhelper support for shlibs in udebs. Thanks to
    Frans Pop <aragorn@tiscali.nl> (Closes: #360213)
  * Apply patch to fix RAID usage in SPARC. Thanks to Fabio Di Nitto
    <fabbione@sunfire.int.fabbione.net> (Closes: #355467)

 -- Otavio Salvador <otavio@debian.org>  Thu, 20 Apr 2006 17:45:22 -0300

parted (1.6.25.1-2) unstable; urgency=medium

  [ Otavio Salvador ]
  * New s390 patch. Urgency set to medium to try to hit testing in time to
    release s390 in D-I Beta2 timeframe (Closes: #328992);
  * Set capabitility level of debhelper to 4;

 -- Otavio Salvador <otavio@ossystems.com.br>  Mon,  6 Feb 2006 21:37:10 -0200

parted (1.6.25.1-1) unstable; urgency=low

  [ Otavio Salvador ]
  * New upstream release:
    - sync_r388.dpatch: drop since is unneeded
  * Really change libreadline dependency (Closes: #333957)
  * Change DEPVER to 1.6.24 to force the right version number as
    dependencie and to avoid ABI mistake (Closes: #322262)
  * fix_rescue_segfault.dpatch: added. Backported from current development
    version to avoid a segfault in some uses of rescue command.

 -- Otavio Salvador <otavio@debian.org>  Thu, 17 Nov 2005 13:31:38 -0200

parted (1.6.24-4) unstable; urgency=low

  *** This version doesn't apply s390 support by default ***
  
  [ Otavio Salvador ]
  * ubd.dpatch: update to new source code.
  * Drop merged upstream patches: 
    - parted.8.dpatch
    - id.po.dpatch
    - es.po.dpatch
    - sparc.dpatch
    - gcc_warnings_fix.dpatch
    - ubd.dpatch
    - udev-devfs-rules.dpatch
  * sync_r388.dpatch: add to include current upstream fixes.
  * s390.dpatch: Resync with current upstream code.
  * *Disable* s390.dpatch by default. It has some strange things that need
    to be cleared.

  [ Bastian Blank ]
  * s390.dpatch: Update to apply again. 

 -- Otavio Salvador <otavio@debian.org>  Mon, 10 Oct 2005 16:40:00 -0300

parted (1.6.24-3) unstable; urgency=high

  [ Otavio Salvador ]
  * Applied patch from A. Costa <agcosta@gis.net> to update README.Debian
    about hfs support

