=== debian/watch ===
version=3

http://ftp.gnu.org/gnu/parted/parted-(.*).tar.gz
