## parted 1.7.1-5.2

=== debian/changelog ===
parted (1.7.1-5.2) unstable; urgency=low

  * Removed udeb creation.

 -- Faheem Pervez <trippin1@gmail.com>  Fri, 17 Oct 2008 18:21:07 +0100
