=== debian/control ===
--- 
+++ 
@@ -39,30 +39,6 @@
  they could exist, so please back up all important files before
  running it, and do so at your own risk.
 
-Package: parted-udeb
-XC-Package-Type: udeb
-Architecture: any
-Section: debian-installer
-Priority: extra
-Depends: ${shlibs:Depends}
-Provides: parted
-Description: The GNU Parted disk partition resizing program
- GNU Parted is a program that allows you to create, destroy,
- resize, move and copy hard disk partitions. This is useful
- for creating space for new operating systems, reorganising
- disk usage, and copying data to new hard disks. This package
- contains the Parted binary and manual page.
- .
- This package is similar to the "big" parted package, but has
- less cosmetical features resulting in smaller binary. Intended 
- to be used in debian-installer.     
- .
- .
- The nature of this software means that any bugs could cause
- massive data loss. While there are no known bugs at the moment,
- they could exist, so please back up all important files before
- running it, and do so at your own risk.
-
 Package: libparted1.7-1
 Architecture: any
 Section: libs
@@ -80,43 +56,6 @@
  .
  This package contains libparted, the required shared library
  used by Parted.
- .
- Parted currently supports DOS, Mac, Sun, BSD, GPT, MIPS and
- PC98 disklabels/partition tables, as well as a 'loop' (raw
- disk) type which allows use on RAID/LVM. Filesystems which
- are currently fully supported are ext2, ext3, fat (FAT16
- and FAT32), ReiserFS (with libreiserfs) and linux-swap.
- Parted can also detect and remove HFS (Mac OS), JFS, NTFS,
- UFS (Sun and HP), XFS and ASFS/AFFS/APFS (Amiga) filesystems,
- but cannot create, resize or check these filesystems yet.
- .
- Note that ReiserFS support is only enabled if you install
- the libreiserfs0.3-0 package. Since libreiserfs0.3-0 has been
- removed from sarge, ReiserFS support is not compiled in the
- default package.
- .
- The nature of this software means that any bugs could cause
- massive data loss. While there are no known bugs at the moment,
- they could exist, so please back up all important files before
- running it, and do so at your own risk.
-
-Package: libparted1.7-udeb
-XC-Package-Type: udeb
-Architecture: any
-Section: debian-installer
-Priority: extra
-Depends: ${shlibs:Depends}
-Provides: libparted1.7-1
-Description: The GNU Parted disk partitioning shared library
- GNU Parted is a program that allows you to create, destroy,
- resize, move and copy hard disk partitions. This is useful
- for creating space for new operating systems, reorganising
- disk usage, and copying data to new hard disks. This package
- contains the Parted binary and manual page.
- .
- This package contains libparted, the required shared library
- used by Parted. This is a cut-down package with no normal
- documentation intended to be used in debian-installer.
  .
  Parted currently supports DOS, Mac, Sun, BSD, GPT, MIPS and
  PC98 disklabels/partition tables, as well as a 'loop' (raw
