=== debian/rules ===
--- 
+++ 
@@ -91,14 +91,11 @@
 
 ifeq (, $(CFLAGS))
 CFLAGS = -g
-UDEB_CFLAGS = -g
 
 ifeq (, $(findstring noopt, $(DEB_BUILD_OPTIONS)))
 CFLAGS += -O2
-UDEB_CFLAGS += -Os
 else
 CFLAGS += -O0
-UDEB_CFLAGS += -O0
 endif
 
 endif
@@ -172,16 +169,6 @@
 	    --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) \
 	    $(CONFFLAGS)
 
-build-udeb/config.status: autotools-update-stamp
-	dh_testdir
-	[ -d build-udeb ] || mkdir build-udeb
-
-	cd build-udeb && CFLAGS="$(UDEB_CFLAGS)" ../configure --prefix=/usr \
-	    --sbindir=/sbin --libdir=/lib --mandir=\$${prefix}/share/man \
-	    --infodir=\$${prefix}/share/info --enable-shared --disable-static \
-	    --without-readline $(CONFFLAGS) \
-	    --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
-
 build-dbg/config.status: autotools-update-stamp
 	dh_testdir
 	[ -d build-dbg ] || mkdir build-dbg
@@ -193,7 +180,7 @@
 
 	touch $@
 
-build: build-deb build-udeb build-dbg
+build: build-deb build-dbg
 
 build-deb: build-deb/build-stamp
 build-deb/build-stamp: build-deb/config.status
@@ -203,16 +190,6 @@
 
 #	By now just use ABI detection on i386 machines. (enable in 1.7.1)
 	if [ $(DEB_BUILD_ARCH) = "i386" ]; then $(MAKE) -C build-deb check-abi; fi
-
-	touch $@
-
-build-udeb: build-udeb/build-stamp
-build-udeb/build-stamp: build-udeb/config.status
-	dh_testdir
-
-#	 Only build binaries
-	$(MAKE) -C build-udeb/libparted
-	$(MAKE) -C build-udeb/parted
 
 	touch $@
 
@@ -254,7 +231,7 @@
 
 	dh_clean
 
-install: DH_OPTIONS=-Nparted$(BINPKGVER)-udeb -Nlibparted$(LIBPKGVER)-udeb -Nlibparted$(LIBPKGVER)-dbg
+install: DH_OPTIONS=-Nlibparted$(LIBPKGVER)-dbg
 install: build packaging-files
 	dh_testdir
 	dh_testroot
@@ -263,3 +240,17 @@
 
 	$(MAKE) -C build-deb install DESTDIR=$(CURDIR)/debian/tmp
 
+#	 We need to do 2 things here:
+#	   1. Check that $(LIBSONAME) is actually what the library's SONAME is
+#	   2. Fix the libparted.so symlink to point to /lib/libparted.so.x.x.x
+#	      rather than being relative & pointing to the current directory
+	@(cd debian/tmp/usr/lib; \
+	  SONAME=`ls libparted-$(LIBPKGVER).so.*.*.* | \
+	          sed -e 's/^.*\.so\.\([0-9]\+\)\..*$$/\1/'`; \
+	  if [ "$(LIBSONAME)" -ne "$$SONAME" ]; then \
+	     echo " *** error: debian/rules thinks that libparted is" \
+	          "version $(LIBSONAME)" >&2; \
+	     echo " *** library is actually version $$SONAME. These should" \
+	          "be the same." >&2; \
+	     echo " *** Change the value of LIBSONAME to $$SONAME in" \
+	          "debian/rules, and" >&2; \
